# 

ad_page_contract {
    
    Display one scholarship fund
    
    @author Dave Bauer (dave@thedesignexperience.org)
    @creation-date 2005-05-17
    @arch-tag: 6db507f3-14d8-47da-aa1b-bdab2b155315
    @cvs-id $Id: one-fund.tcl,v 1.8 2005/08/22 18:29:47 daveb Exp $
} {
    item_id:integer,notnull
} -properties {
    page_title
    context
} -validate {
} -errors {
}

set user_id [ad_conn user_id]
permission::require_permission \
    -object_id $item_id \
    -party_id $user_id \
    -privilege "read"

set admin_p [permission::permission_p \
                 -object_id $item_id \
                 -party_id $user_id \
                 -privilege "admin"]

db_1row get_fund "select sf.* from scholarship_fundi sf, cr_items ci where sf.revision_id=ci.live_revision and sf.item_id=:item_id" -column_array fund

set edit_url [export_vars -base "fund-add-edit" {item_id}]

ad_form -name one -mode display -export { item_id } -has_edit 1 -form {
    {title:text {label "Fund Title"}}
    {description:text(textarea) {label "Description"}}
    {account_code:text {label "Account Code"}}
} -on_request {
    db_1row get_fund "select sf.export_p, sf.title, sf.description, sf.account_code, sf.amount from scholarship_fundi sf, cr_items ci where sf.revision_id=ci.live_revision and sf.item_id=:item_id"
}

set actions ""

if {0} {
    set actions  [list Grant scholarship-grant?fund_id=$fund(fund_id) Grant]
}

template::list::create \
    -name grants \
    -multirow grants \
    -no_data "No grants from this fund" \
    -actions $actions \
    -elements {
	person__name {
	    label "User"
	}
	grant_date {
	    label "Date Granted"
	}
	grant_amount {
	    label "Amount"
	}
	export_p {
	    label "Exported?"
	    display_eval {[_ [ad_decode $export_p t "acs-kernel.common_Yes" "acs-kernel.common_No"]]}
	}
    }

db_multirow grants grants {
    select person__name(user_id), to_char(grant_date, 'Month dd, yyyy hh:miam') as grant_date, grant_amount, export_p
    from scholarship_fund_grants
    where fund_id in (select fund_id
		      from scholarship_fundi
		      where item_id = :item_id)
    group by person__name, grant_date, grant_amount, export_p
    order by scholarship_fund_grants.grant_date
}

set page_title "One Scholarship Fund"
set context [list $page_title]
set header_stuff ""
set focus ""

ad_return_template
